summaryrefslogtreecommitdiff
path: root/scripts/start-gateway.bash
diff options
context:
space:
mode:
authorDan Rostovtsev <dan@rostovtsev.org>2026-04-06 15:48:14 -0400
committerDan Rostovtsev <dan@rostovtsev.org>2026-04-06 15:48:14 -0400
commit0716a22d1fab76a18606ec031d33914ccbc56633 (patch)
treed63cc7ee4fd73bac935a776d09dc0ec78c8335e2 /scripts/start-gateway.bash
parent2c6cf786c151118232533a6cfbc769ce1514aa9e (diff)
First working IBKR API implementation.HEADmain
* doc/ibkr.org: Docs for using the IBKR API. * manifest.scm: Guix Manifest of all project dependencies. * scripts/run-gateway.bash: A script for building and deploying the IBKR Client Gateway. * src/ibkr/api.scm: Support for specific endpoints, and generic tools for using the IBKR API. * src/ibkr/types.scm: Basic types for the IBKR endpoints. Orders, positions, securities, etc. * test/*.json: IBKR response and request examples for testing. * test/api.scm: Response handling and endpoint construction. * test/types.scm: Tests JSON parsing of IBKR requests and responses.
Diffstat (limited to 'scripts/start-gateway.bash')
-rwxr-xr-xscripts/start-gateway.bash19
1 files changed, 19 insertions, 0 deletions
diff --git a/scripts/start-gateway.bash b/scripts/start-gateway.bash
new file mode 100755
index 0000000..0fd8193
--- /dev/null
+++ b/scripts/start-gateway.bash
@@ -0,0 +1,19 @@
+#!/usr/bin/bash
+
+set -e
+
+# create env
+TMP=`mktemp -t -d ibkr-cpgw.XXXXXX`
+mkdir -p $TMP
+cp resources/clientportal.gw.zip $TMP
+cp resources/custom.yaml $TMP
+
+# build env
+cd $TMP
+unzip clientportal.gw.zip
+cp custom.yaml ./root/custom.yaml
+
+# run gateway
+./bin/run.sh ./root/custom.yaml
+
+rm -rf $TMP